package com.bonus.system.domain;

import com.bonus.common.security.utils.SecurityUtils;
import lombok.Data;

/**
 * @className:SysParamsDto
 * @author:cwchen
 * @date:2024-07-15-10:34
 * @version:1.0
 * @description:前端参数-dto
 */
@Data
public class SysParamsDto {

    private Long proId;

    private String id;

    /**
     * 角色编码
     */
    private String roleCode = SecurityUtils.getRoleCode();

    /**
     * 项目部ID
     */
    private Long departId = SecurityUtils.getDepartId();

    /**
     * 班组ID
     */
    private Long teamId = SecurityUtils.getTeamId();
}
